is.factor-methods {PivotalR} | R Documentation

## Detect whether a `db.obj` object is a categorical object

### Description

This function detects whether a `db.obj` object is a categorical object.

### Usage

    ## S4 method for signature 'db.obj'
    is.factor(x)

### Arguments

`x` | A `db.obj` object.

### Value

A logical value. When all columns of `db.obj` are categorical variables, this function returns `TRUE`.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`as.factor,db.obj-method` converts a column `db.obj` of into categorical variables.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## create a table from the example data.frame "abalone"
    x <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)

    ## set sex to be a categorical variable
    x$sex <- as.factor(x$sex)

    is.factor(x$sex)

    is.factor(x)

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]